/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.fixedlength.resourcebundle;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoFixedLengthIOExceptionDotNet]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 * 既知のロケール<BR>
 * <UL>
 * <LI>ja
 * </UL>
 */
public class BlancoFixedLengthIOExceptionDotNetResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoFixedLengthIOExceptionDotNetResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoFixedLengthIOExceptionDotNet]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoFixedLengthIOExceptionDotNetResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoFixedLengthIOExceptionDotNet");
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthIOExceptionDotNet]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルの取得を試みましたが失敗しました。定義書の設定値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
    }

    /**
     * BlancoFixedLengthIOExceptionDotNetResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoFixedLengthIOExceptionDotNet]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoFixedLengthIOExceptionDotNetResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoFixedLengthIOExceptionDotNet", locale);
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthIOExceptionDotNet]、ロケール[" + locale.toString() + "]、呼び出し側のクラスローダを使用して、リソースバンドルの取得を試みましたが失敗しました。定義書の設定値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
    }

    /**
     * BlancoFixedLengthIOExceptionDotNetResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoFixedLengthIOExceptionDotNet]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoFixedLengthIOExceptionDotNetResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoFixedLengthIOExceptionDotNet", locale, loader);
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthIOExceptionDotNet]、ロケール[" + locale.toString() + "]、指定のクラスローダを使用して、リソースバンドルの取得を試みましたが失敗しました。定義書の設定値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
    }

    /**
     * bundle[BlancoFixedLengthIOExceptionDotNet], key[PACKAGE.PREFIX]
     *
     * [.io] (ja)<br>
     *
     * @return key[PACKAGE.PREFIX]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPackagePrefix() {
        // 初期値として定義書の値を利用します。
        String strFormat = ".io";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PACKAGE.PREFIX");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthIOExceptionDotNet]、キー[PACKAGE.PREFIX]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthIOExceptionDotNet], key[CLASS_NAME]
     *
     * [BlancoFixedLengthIOException] (ja)<br>
     *
     * @return key[CLASS_NAME]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getClassName() {
        // 初期値として定義書の値を利用します。
        String strFormat = "BlancoFixedLengthIOException";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLASS_NAME");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthIOExceptionDotNet]、キー[CLASS_NAME]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthIOExceptionDotNet], key[SUPERCLASS_NAME]
     *
     * [System.IO.IOException] (ja)<br>
     *
     * @return key[SUPERCLASS_NAME]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getSuperclassName() {
        // 初期値として定義書の値を利用します。
        String strFormat = "System.IO.IOException";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("SUPERCLASS_NAME");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthIOExceptionDotNet]、キー[SUPERCLASS_NAME]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthIOExceptionDotNet], key[FILECOMMENT]
     *
     * [blancoFixedLengthDotNetが生成したクラスが実行時に発生する例外クラスです。] (ja)<br>
     *
     * @return key[FILECOMMENT]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFilecomment() {
        // 初期値として定義書の値を利用します。
        String strFormat = "blancoFixedLengthDotNetが生成したクラスが実行時に発生する例外クラスです。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FILECOMMENT");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthIOExceptionDotNet]、キー[FILECOMMENT]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthIOExceptionDotNet], key[CLASSCOMMENT.01]
     *
     * [blancoFixedLengthDotNetが生成したクラスが実行時に発生する例外クラスです。] (ja)<br>
     *
     * @return key[CLASSCOMMENT.01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getClasscomment01() {
        // 初期値として定義書の値を利用します。
        String strFormat = "blancoFixedLengthDotNetが生成したクラスが実行時に発生する例外クラスです。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLASSCOMMENT.01");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthIOExceptionDotNet]、キー[CLASSCOMMENT.01]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthIOExceptionDotNet], key[CLASSCOMMENT.02]
     *
     * [型・桁チェックの結果が異常であった場合などにこの例外は発生します。] (ja)<br>
     *
     * @return key[CLASSCOMMENT.02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getClasscomment02() {
        // 初期値として定義書の値を利用します。
        String strFormat = "型・桁チェックの結果が異常であった場合などにこの例外は発生します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLASSCOMMENT.02");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthIOExceptionDotNet]、キー[CLASSCOMMENT.02]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLengthIOExceptionDotNet], key[CONSTRUCTOR.01.ARG.01.TYPE]
     *
     * [System.String] (ja)<br>
     *
     * @return key[CONSTRUCTOR.01.ARG.01.TYPE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getConstructor01Arg01Type() {
        // 初期値として定義書の値を利用します。
        String strFormat = "System.String";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CONSTRUCTOR.01.ARG.01.TYPE");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLengthIOExceptionDotNet]、キー[CONSTRUCTOR.01.ARG.01.TYPE]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }
}
